Desarrolladores

Listar el historial de créditos

GET
/credits/history

Créditos otorgados, consumidos y devueltos, del más reciente al más antiguo. credits lleva signo: + para lo otorgado y - para lo consumido.

Autorización

headerAutorizaciónBearer <token>

Una API Key creada en la configuración de la cuenta, enviada como Authorization: Bearer <key>. Incluye los Scopes seleccionados al crearla.

Parámetros de consulta

cursor?string
Longitud1 <= length
limit?integer
Rango1 <= value <= 100

Cuerpo de la respuesta

Correcto.

application/json
  1. response
items*array<>
next_cursor*string|null
Solicitud de ejemplo
curl -X GET 'https://ximagesplitter.com/api/v1/credits/history'
Respuesta de ejemplo
{
  "items": [
    {
      "transactionNo": "string",
      "transactionType": "consume",
      "source": {
        "kind": "purchase",
        "product": {
          "kind": "plan",
          "offerId": "string",
          "planId": "starter",
          "billingCycle": "monthly"
        }
      },
      "refundedAt": "2019-08-24T14:15:22Z",
      "credits": "string",
      "activatesAt": "2019-08-24T14:15:22Z",
      "expiresAt": "2019-08-24T14:15:22Z"
    }
  ],
  "next_cursor": "string"
}